BigTableScanner.EmptySSTableScanner (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.sstable.format.big

## Class BigTableScanner.EmptySSTableScanner

- java.lang.Object
- - org.apache.cassandra.db.partitions.AbstractUnfilteredPartitionIterator
  - - org.apache.cassandra.io.sstable.format.big.BigTableScanner.EmptySSTableScanner

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.util.Iterator<UnfilteredRowIterator>, BasePartitionIterator<UnfilteredRowIterator>, UnfilteredPartitionIterator, ISSTableScanner, CloseableIterator<UnfilteredRowIterator>
  Enclosing class:
    BigTableScanner

      public static class BigTableScanner.EmptySSTableScanner
      extends AbstractUnfilteredPartitionIterator
      implements ISSTableScanner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptySSTableScanner(SSTableReader sstable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackingFiles()`
    `long` | `getBytesScanned()`
    `long` | `getCompressedLengthInBytes()`
    `long` | `getCurrentPosition()`
    `long` | `getLengthInBytes()`
    `boolean` | `hasNext()`
    `boolean` | `isForThrift()` Whether that partition iterator is for a thrift queries.
    `CFMetaData` | `metadata()`
    `UnfilteredRowIterator` | `next()`

    - ### Methods inherited from class org.apache.cassandra.db.partitions.AbstractUnfilteredPartitionIterator

      `close, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.partitions.BasePartitionIterator

      `close`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### EmptySSTableScanner

          public EmptySSTableScanner(SSTableReader sstable)

  - ### Method Detail

    - #### getLengthInBytes

          public long getLengthInBytes()

      Specified by:
        `getLengthInBytes` in interface `ISSTableScanner`

    - #### getCurrentPosition

          public long getCurrentPosition()

      Specified by:
        `getCurrentPosition` in interface `ISSTableScanner`

    - #### getBytesScanned

          public long getBytesScanned()

      Specified by:
        `getBytesScanned` in interface `ISSTableScanner`

    - #### getCompressedLengthInBytes

          public long getCompressedLengthInBytes()

      Specified by:
        `getCompressedLengthInBytes` in interface `ISSTableScanner`

    - #### getBackingFiles

          public java.lang.String getBackingFiles()

      Specified by:
        `getBackingFiles` in interface `ISSTableScanner`

    - #### isForThrift

          public boolean isForThrift()

      Description copied from interface: `UnfilteredPartitionIterator`
      Whether that partition iterator is for a thrift queries.

      If this is true, the partition iterator may return some empty UnfilteredRowIterator and those should be preserved as thrift include partitions that "exists" (have some cells even if this are actually deleted) but have nothing matching the query.

      Specified by:
        `isForThrift` in interface `UnfilteredPartitionIterator`
      Returns:
        whether the iterator is for a thrift query.

    - #### metadata

          public CFMetaData metadata()

      Specified by:
        `metadata` in interface `UnfilteredPartitionIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<UnfilteredRowIterator>`

    - #### next

          public UnfilteredRowIterator next()

      Specified by:
        `next` in interface `java.util.Iterator<UnfilteredRowIterator>`

Copyright © 2018 The Apache Software Foundation